EXECUTE IMMEDIATE
Prev | Up | 35.14. Embedded SQL Commands | Home | Next

## EXECUTE IMMEDIATE

EXECUTE IMMEDIATE — dynamically prepare and execute a statement

## Synopsis

    EXECUTE IMMEDIATE string

## Description

`EXECUTE IMMEDIATE` immediately prepares and executes a dynamically specified SQL statement, without retrieving result rows.

## Parameters

`string`

  A literal C string or a host variable containing the SQL statement to be executed.

## Examples

Here is an example that executes an `INSERT` statement using `EXECUTE IMMEDIATE` and a host variable named `command`:

    sprintf(command, "INSERT INTO test (name, amount, letter) VALUES ('db: ''r1''', 1, 'f')");
    EXEC SQL EXECUTE IMMEDIATE :command;

## Compatibility

`EXECUTE IMMEDIATE` is specified in the SQL standard.

Prev | Up | Next
DISCONNECT | Home | GET DESCRIPTOR